Bug 600945 - with KDE, Fonts in Menus not Visible
with KDE, Fonts in Menus not Visible
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: audacious (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 14:55 EDT by Christopher Stone
Modified: 2011-06-27 13:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:39:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Audacious config file (2.79 KB, application/octet-stream)
2010-06-06 15:22 EDT, Christopher Stone
no flags Details
screen snapshot (KDE) (65.66 KB, image/png)
2010-06-07 04:18 EDT, Michael Schwendt
no flags Details

  None (edit)
Description Christopher Stone 2010-06-06 14:55:50 EDT
Description of problem:  The version of audacious in F13 has a problem where you cannot see the text in the context menus.  This makes it extremely difficult to select the correct menu item..


Version-Release number of selected component (if applicable):
audacious-0:2.2-14.fc13.x86_64


How reproducible:
Right click on audacious to select menu, or open the file open dialog box.

Additional info:
Selected a KDE install instead of GNOME, not sure if that matters (it shouldn't)
Comment 1 Michael Schwendt 2010-06-06 15:03:59 EDT
Don't assume that it is the same for everybody. It is not reproducible here with GNOME, Fedora 13, x86_64.

Some investigation is needed, please:

 - Can you reproduce it with a fresh user account?

 - Can you save and attach a copy of your $HOME/.config/audacious/config file?
Comment 2 Christopher Stone 2010-06-06 15:22:53 EDT
Created attachment 421642 [details]
Audacious config file

Audacious config.
Comment 3 Christopher Stone 2010-06-06 15:24:27 EDT
Okay, it works with a newly created user.  Attached config from broken user, but no different than working user.
Comment 4 Christopher Stone 2010-06-06 15:35:58 EDT
I figured out the problem:
In my .config/kde.org/systemsettings.conf file I have:
[qt]
font="Sans Serif,10,-1,5,50,0,0,0,0,0"

I'm not sure how that got set, but this is what is causing the fonts to not show up in the audacious menus for me.
Comment 5 Christopher Stone 2010-06-06 19:51:52 EDT
Okay, this configuration setting is written when you access the "System Settings" dialog box and select Appearance -> Fonts and then change a font (I changed Window title to be italic or bold italic).
Comment 6 Michael Schwendt 2010-06-07 04:18:31 EDT
Created attachment 421745 [details]
screen snapshot (KDE)
Comment 7 Michael Schwendt 2010-06-07 04:25:09 EDT
With a fresh install of F13 KDE x86_64 and default KDE settings, Audacious starts with dark-grey fonts, which are hardly readable. See comment 6 attachment.

> System Settings > Appearance > Fonts

Here I don't need to change anything. It is sufficient to click something and revert it again, then click the "Apply" button which gets enabled by that action.
Immediately afterwards, the fonts/dialogs in a restarted Audacious become readable until next reboot.
Comment 8 Michael Schwendt 2011-01-01 14:43:57 EST
My post to Fedora's KDE list has not been responded to:
http://lists.fedoraproject.org/pipermail/kde/2010-June/007281.html
Comment 9 Rex Dieter 2011-01-01 17:47:25 EST
I can confirm some odd behavior alright, before and after tweaking systemsettings' font configs.  I'm more than a little baffled, esp after trying manually adjusting ~/.gtkrc-2.0-kde4
Comment 10 Michael Schwendt 2011-01-02 05:44:30 EST
Thanks, Rex!   IMO, it's not anything like important, considering that it has never been reported before and isn't anything like a most-popular bug. Also, Audacious 2.4 in Fedora 14 features an alternative non-skinned GTK+ interface.
Comment 11 Bug Zapper 2011-06-02 07:48:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 13:39:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.